Subject: Re: bug#73363: 30.0.91; CJK Font Rendering Behavior Changed

From: Stephen Berman <[email-masked]>
Date: Fri, 20 Sep 2024 10:21:36 +0200

On Fri, 20 Sep 2024 09:12:02 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  Po Lu <[email-masked]>,  Tomohisa
>>  Kuranari <[email-masked]>,  [email-masked]
>> Date: Thu, 19 Sep 2024 22:10:34 +0200
>> 
>> On my GNU/Linux system:
>> 
>> emacs-29 -Q:
>> "-WenQ-WenQuanYi Zen Hei-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1"
>
> For all 3 characters?  That is, Emacs selects the same font for han
> and hangul characters?

No; in emacs-29:

(face-font 'default nil ?元)
"-WenQ-WenQuanYi Zen Hei-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1"

(face-font 'default nil ?你)
"-WenQ-WenQuanYi Zen Hei-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1"

(face-font 'default nil ?안)
"-GOOG-Noto Serif KR-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"

In emacs-30 and master:

(face-font 'default nil ?元)
"-GOOG-Noto Sans JP-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"

(face-font 'default nil ?你)
"-GOOG-Noto Sans JP-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"

(face-font 'default nil ?안)
"-GOOG-Noto Serif KR-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"

>> emacs-30 -Q and emacs-master -Q:
>> "-GOOG-Noto Sans JP-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"
>> 
>> The WenQuanYi Zen Hei font is in /usr/share/fonts and the Noto Sans JP
>> font is in ~/.local/share/fonts.
>
> What happens in Emacs 30 if you prevent Emacs from using the font in
> ~/.local/share/fonts in some way?

Then all three characters are displayed with WenQuanYi Zen Hei (not just
in emacs-30 but also in emacs-29 and master).

Steve Berman